Public Member Functions | Public Attributes | Private Member Functions | List of all members
libebook::PDXParserImpl Struct Reference

## Public Member Functions
| PDXParserImpl (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)

## Public Attributes
HeaderData | m_header
librevenge::RVNGInputStream * | m_input
librevenge::RVNGTextInterface * | m_document

## Private Member Functions
| PDXParserImpl (const PDXParserImpl &other)
PDXParserImpl & | operator= (const PDXParserImpl &other)

## Constructor & Destructor Documentation

## § PDXParserImpl() [1/2]

libebook::PDXParserImpl::PDXParserImpl | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## § PDXParserImpl() [2/2]

libebook::PDXParserImpl::PDXParserImpl | ( | const PDXParserImpl & | other | ) |
| private

## Member Function Documentation

## § operator=()

PDXParserImpl& libebook::PDXParserImpl::operator= | ( | const PDXParserImpl & | other | ) |
| private

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* libebook::PDXParserImpl::m_document

## § m_header

HeaderData libebook::PDXParserImpl::m_header

## § m_input

librevenge::RVNGInputStream* libebook::PDXParserImpl::m_input

The documentation for this struct was generated from the following file:

- PDXParser.cpp